Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.runtime
Interface Timer

All Superinterfaces:
  Serializable

public interface Timer
extends Serializable

This class provides runtime data on a timer that is currently maintained by the WebLogic timer implementation. It provides information about past expiration times and information about the next scheduled expiration.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`long` | `getExpirationCount()` Total number of times the timer expired after creation.
`long[]` | `getPastExpirationTimes()` Returns the past times when the timer had expired.
`long` | `getPeriod()` Return the period used to compute the next time this timer will expire.
`long` | `getTimeout()` Return the time at which this timer will expire.
`String` | `getTimerManagerName()` TimerManager name used to submit this timer.
`boolean` | `isCancelled()` Timer is cancelled and will not execute.
`boolean` | `isStopped()` This flag indicates that the stop listener will be invoked instead of the timer listener when it is executed.

Method Detail

### getExpirationCount

    public long getExpirationCount()

  Total number of times the timer expired after creation.

### getPastExpirationTimes

    public long[] getPastExpirationTimes()

  Returns the past times when the timer had expired. The most recent 100 records are given. The records are not sorted. A value of 0 means that information is not available.

### getPeriod

    public long getPeriod()

  Return the period used to compute the next time this timer will expire. A value of zero indicates that the timer is a one-shot. A negative value means the next timeout is computed from the current timeout. Positive values mean the timeout is computed using the current timer after the listener has executed.

  Returns:
    period used to reset the timer

### getTimeout

    public long getTimeout()

  Return the time at which this timer will expire. The value returned is an absolute time (even if the timer was created with a relative time).

  Returns:
    absolute time at which this timer will expire

### getTimerManagerName

    public String getTimerManagerName()

  TimerManager name used to submit this timer.

### isCancelled

    public boolean isCancelled()

  Timer is cancelled and will not execute.

### isStopped

    public boolean isStopped()

  This flag indicates that the stop listener will be invoked instead of the timer listener when it is executed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD